KDE 4.7 PyKDE API Reference

- KDE's Python API

# Route Class Reference

`from PyKDE4.marble import *`

Namespace: Marble

## Detailed Description

## Methods

| __init__ (self)
| addRouteSegment (self, Marble.RouteSegment segment)
Marble.RouteSegment | at (self, int index)
Marble.GeoDataLatLonBox | bounds (self)
Marble.RouteSegment | currentSegment (self)
Marble.GeoDataCoordinates | currentWaypoint (self)
float | distance (self)
Marble.GeoDataLineString | path (self)
Marble.GeoDataCoordinates | position (self)
Marble.GeoDataCoordinates | positionOnRoute (self)
| setPosition (self, Marble.GeoDataCoordinates position)
int | size (self)
int | travelTime (self)
Marble.GeoDataLineString | turnPoints (self)
Marble.GeoDataLineString | waypoints (self)

## Method Documentation

__init__ | ( |  | self ) |

addRouteSegment | ( | self, |
|  | Marble.RouteSegment | segment
| ) |  |  |

Marble.RouteSegment at | ( | self, |
|  | int | index
| ) |  |  |

Marble.GeoDataLatLonBox bounds | ( |  | self ) |

Marble.RouteSegment currentSegment | ( |  | self ) |

Marble.GeoDataCoordinates currentWaypoint | ( |  | self ) |

float distance | ( |  | self ) |

Marble.GeoDataLineString path | ( |  | self ) |

Marble.GeoDataCoordinates position | ( |  | self ) |

Marble.GeoDataCoordinates positionOnRoute | ( |  | self ) |

setPosition | ( | self, |
|  | Marble.GeoDataCoordinates | position
| ) |  |  |

int size | ( |  | self ) |

int travelTime | ( |  | self ) |

Marble.GeoDataLineString turnPoints | ( |  | self ) |

Marble.GeoDataLineString waypoints | ( |  | self ) |